com.beaglebuddy.id3.enums

## Enum TimeStampFormat

- java.lang.Object
- - java.lang.Enum<TimeStampFormat>
  - - com.beaglebuddy.id3.enums.TimeStampFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimeStampFormat>

      public enum TimeStampFormat
      extends java.lang.Enum<TimeStampFormat>

  ID3v2.x time stamp units. Numerous frames defined in the ID3v2.x specification contain a timestamp field, indicating when something happened in the .mp3 song. The units of these timestamp fields can be either in MPEG frames or in millisconds (ms).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MPEG` absolute time, 32 bit sized, using MPEG frames as units
    `MS` absolute time, 32 bit sized, using milliseconds as units

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` gets the description of the time stamp format.
    `int` | `getValue()` the integral value of the time stamp format.
    `java.lang.String` | `toString()` gets a string representation of the time stamp format enum.
    `static TimeStampFormat` | `valueOf(byte timeStampFormat)` converts an integral value to its corresponding time stamp format enum where 1 == MPEG frames and 2 = milliseconds.
    `static TimeStampFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimeStampFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MPEG

          public static final TimeStampFormat MPEG

      absolute time, 32 bit sized, using MPEG frames as units

    - #### MS

          public static final TimeStampFormat MS

      absolute time, 32 bit sized, using milliseconds as units

  - ### Method Detail

    - #### values

          public static TimeStampFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeStampFormat c : TimeStampFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeStampFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      the integral value of the time stamp format. Use this instead of the enum's ordinal() method.
      Returns:
        the integral value of the time stamp format.

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the time stamp format.
      Returns:
        the description of the time stamp format.

    - #### valueOf

          public static TimeStampFormat valueOf(byte timeStampFormat)
                                         throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding time stamp format enum where 1 == MPEG frames and 2 = milliseconds.
      Parameters:
        `timeStampFormat` - integral value to be converted to a time stamp format enum.
      Returns:
        a time stamp format enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid time stamp format.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the time stamp format enum.
      Overrides:
        `toString` in class `java.lang.Enum<TimeStampFormat>`
      Returns:
        a string representation of the time stamp format enum.